This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 191040 - Review Request: fedora-package-config-apt - Configuration files for the apt package manager
Review Request: fedora-package-config-apt - Configuration files for the apt p...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ville Skyttä
Fedora Package Reviews List
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-05-08 08:10 EDT by Axel Thimm
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-13 06:10:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Fix some whitespace issues (980 bytes, patch)
2006-05-09 10:24 EDT, Panu Matilainen
no flags Details | Diff

  None (edit)
Description Axel Thimm 2006-05-08 08:10:28 EDT
Spec URL: http://people.atrpms.net/~athimm/fedorasubmit/fedora-package-config-apt.spec
SRPM URL: http://people.atrpms.net/~athimm/fedorasubmit/fedora-package-config-apt-5.89-1.src.rpm
Description:
This package contains configuration files for apt.
Comment 1 Panu Matilainen 2006-05-09 10:24:40 EDT
Created attachment 128787 [details]
Fix some whitespace issues

Some sort of whitespace-eating monster appears to have struck the spec, doesn't
build without this + one missing mkdir added.
Comment 2 Axel Thimm 2006-05-09 14:25:20 EDT
Eeck. Fixed in

Spec URL:
http://people.atrpms.net/~athimm/fedorasubmit/fedora-package-config-apt.spec
SRPM URL:
http://people.atrpms.net/~athimm/fedorasubmit/fedora-package-config-apt-5.89-2.src.rpm

* Tue May  9 2006 Axel Thimm <Axel.Thimm@ATrpms.net> - 5.89-2
- Fix whitespace (by Panu in bug #191040c1).
Comment 3 Ville Skyttä 2006-05-11 15:56:21 EDT
Issues:

- Shouldn't the package be noarch?
- Missing dependency on apt (similar issue seems to exist in the corresponding
  smart package too, by the way)

Cosmetics:

- Summary and %description could mention Fedora even though it's in %{name},
  and %description could be expanded a bit.
- Upstream spelling is APT-RPM, that could be used in summary and description too
Comment 4 Axel Thimm 2006-05-11 17:01:53 EDT
Fixed in

Spec URL:
http://people.atrpms.net/~athimm/fedorasubmit/fedora-package-config-apt.spec

* Thu May 11 2006 Axel Thimm <Axel.Thimm@ATrpms.net> - 5.89-3
- Apply comments from review #191040c3 (by Ville).
  - Fix summary and description
  - Config files are arch-independent, so we should become noarch
  - Create versioned dependency on apt (make sure it's repo-md capable)
    This creates a circular dependency which should not impose any
    issues.
Comment 5 Ville Skyttä 2006-05-12 16:51:53 EDT
No SRPM seems to be available for 5.89-3, but if it's the same as -2 apart from
the specfile changes, approved.
Comment 6 Axel Thimm 2006-05-13 06:10:13 EDT
Thanks for reviewing & approving. The package for devel has been queued in and I
also tagged & built the matching apt package for devel.

(apt will still need some cleansing and an upgrade to the next upstream release,
which is estimated to happen soon, I'm building apt just to have something to
use fedora-package-conf-apt with and not punch dependency holes in devel)

Branches for FC-5 and FC-4 have been requested.

Note You need to log in before you can comment on or make changes to this bug.